﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
using Microsoft.Practices.Composite.Presentation.Commands;
using System.Windows.Input;
using System.ComponentModel;
using System.Windows;

namespace WpfApplication8
{
    public class ScoreListViewModel
    {
        public ICommand BuyCommand { get; set; }
        public ICommand SellCommand { get; set; }
        public ICommand MouseLeftButtonUpCommand { get; set; }

        public ScoreListViewModel()
        {
            this.StudentList = StudentService.RetrieveStudentList();

            BuyCommand = new DelegateCommand<object>(OnBuy, arg => true);
            SellCommand = new DelegateCommand<object>(OnSell, arg => true);
            MouseLeftButtonUpCommand = new DelegateCommand<object>(OnMouseLeftButtonUp, arg => true);
        }

        public ScoreListView View { get; set; }

        public List<Student> StudentList { get; set; }

        public void OnBuy(object obj)
        {
            MessageBox.Show("OnBuy");
        }

        public void OnSell(object obj)
        {
            MessageBox.Show("OnSell");
        }

        public void OnMouseLeftButtonUp(object obj)
        {
            MessageBox.Show("OnClick");
        }
    }
}